<?php
/**
 * Related Topics
 *
 * @package RelatedTopics
 * @version 1.4
 */

function template_RelatedTopics_below()
{
	global $context, $settings, $txt, $modSettings;
	echo 'TEST';

	if (!empty($context['related_topics'])) // TODO: Have ability to display no related topics?
	{
		echo '
			<div class="cat_bar">
				<h3 class="catbg">', $txt['related_topics'], '</h3>
			</div>
			<div class="tborder topic_table" id="messageindex">
				<table class="table_grid" cellspacing="0">
					<thead>
						<tr class="catbg">';

		// Are there actually any topics to show?
		if (!empty($context['related_topics']))
		{
			echo '
							<th scope="col" class="smalltext first_th" width="8%" colspan="2">&nbsp;</th>
							<th scope="col" class="smalltext">', $txt['subject'], ' / ', $txt['started_by'], '</th>
							<th scope="col" class="smalltext center" width="14%">', $txt['replies'], '</th>
							<th scope="col" class="smalltext last_th" width="22%">', $txt['last_post'], '</th>';
		}
		// No topics.... just say, "sorry bub".
		else
			echo '
							<th scope="col" class="smalltext first_th" width="8%">&nbsp;</th>
							<th class="smalltext" colspan="3"><strong>', $txt['msg_alert_none'], '</strong></th>
							<th scope="col" class="smalltext last_th" width="8%">&nbsp;</th>';

		echo '
						</tr>
					</thead>
					<tbody>';

		foreach ($context['related_topics'] as $topic)
		{
			// Is this topic pending approval, or does it have any posts pending approval?
			if ($topic['board']['can_approve_posts'] && $topic['unapproved_posts'])
				$color_class = !$topic['approved'] ? 'approvetbg' : 'approvebg';
			// We start with locked and sticky topics.
			elseif ($topic['is_sticky'] && $topic['is_locked'])
				$color_class = 'stickybg locked_sticky';
			// Sticky topics should get a different color, too.
			elseif ($topic['is_sticky'])
				$color_class = 'stickybg';
			// Locked topics get special treatment as well.
			elseif ($topic['is_locked'])
				$color_class = 'lockedbg';
			// Last, but not least: regular topics.
			else
				$color_class = 'windowbg';

			// Some columns require a different shade of the color class.
			$alternate_class = $color_class . '2';

			echo '
						<tr>
							<td class="icon1 ', $color_class, '">
								<img src="', $settings['images_url'], '/topic/', $topic['class'], '.gif" alt="" />
							</td>
							<td class="icon2 ', $color_class, '">
								<img src="', $topic['first_post']['icon_url'], '" alt="" />
							</td>
							<td class="subject ', $alternate_class, '">
								<div ', (!empty($topic['quick_mod']['modify']) ? 'id="topic_' . $topic['first_post']['id'] . '" onmouseout="mouse_on_div = 0;" onmouseover="mouse_on_div = 1;" ondblclick="modify_topic(\'' . $topic['id'] . '\', \'' . $topic['first_post']['id'] . '\', \'' . $context['session_id'] . '\', \'' . $context['session_var'] . '\');"' : ''), '>
									', $topic['is_sticky'] ? '<strong>' : '', '<span id="msg_' . $topic['first_post']['id'] . '">', $topic['first_post']['link'], (!$topic['board']['can_approve_posts'] && !$topic['approved'] ? '&nbsp;<em>(' . $txt['awaiting_approval'] . ')</em>' : ''), '</span>', $topic['is_sticky'] ? '</strong>' : '' ;

			// Is this topic new? (assuming they are logged in!)
			if ($topic['new'] && $context['user']['is_logged'])
					echo '
									<a href="', $topic['new_href'], '" id="newicon' . $topic['first_post']['id'] . '"><img src="', $settings['lang_images_url'], '/new.gif" alt="', $txt['new'], '" /></a>';

			echo '
									<p>', $txt['started_by'], ' ', $topic['first_post']['member']['link'], '
										<small id="pages' . $topic['first_post']['id'] . '">', $topic['pages'], '</small>
										<small>', $topic['board']['link'], '</small>
									</p>
								</div>
							</td>
							<td class="stats ', $color_class, '">
								', $topic['replies'], ' ', $txt['replies'], '
								<br />
								', $topic['views'], ' ', $txt['views'], '
							</td>
							<td class="lastpost ', $alternate_class, '">
								<a href="', $topic['last_post']['href'], '"><img src="', $settings['images_url'], '/icons/last_post.gif" alt="', $txt['last_post'], '" title="', $txt['last_post'], '" /></a>
								', $topic['last_post']['time'], '<br />
								', $txt['by'], ' ', $topic['last_post']['member']['link'], '
							</td>
						</tr>';
		}

		echo '
				</table>
			</div><br />';
	}
}
?>